import java.util.Scanner;
import java.io.Reader;
import java.util.List;
import java.util.ArrayList;
/**
 * MyApp computes the length of each line of input.
 */
public class MyApp
{
    Scanner console;

    /**
     * Constructor for objects of class MyApp
     */
    public MyApp(Reader rdr)
    {
        // Create a Scanner from the Reader we are given
        console = new Scanner(rdr);
    }

    /**
     * Main app logic goes here. 
     * @return List of Strings where each item is a line of output
     */
    public List<String> run()
    {
        ArrayList<String> list = new ArrayList<String>();
        while (console.hasNextLine())
        {
            String outputLine = processLine();
            list.add(outputLine);
        }
        return list;
    }
    /**
     * Process one line from the Scanner and return the result.
     * @return the number of characters on the next line of input,
     * as a String.
     */
    public String processLine()
    {
        String inputLine = console.nextLine();
        String result = "" + inputLine.length();
        return result;
    }
}
