import java.io.Reader;
import java.util.List;
/**
 *  Demonstration of a small main program that provides System.in
 *  to the real application.
 * 
 * @author J. Dalbey 
 * @version 2013.10.16
 */
public class AppMain
{
    /**
     * Launches MyApp taking user input from System.in.  
     * The report will be sent to standard output.
     *
     * @param args none
     */
    public static void main(String[] args) 
    {
        java.io.Reader input;
        // Open standard input for reading the user's input
        input = new java.io.BufferedReader(new java.io.InputStreamReader(System.in));
        MyApp app = new MyApp(input);
        List<String> report = app.run();
        // List all the items produced by the app
        for (String item: report)
        {
            System.out.println(item);
        }
    }
    
}
