import java.io.StringReader;
import java.util.List;
/**
 *   Demonstrates how to test an application by provide data 
 *   from a StringReader instead of System.in.
 */
public class MyAppTest extends junit.framework.TestCase
{
	public void testRun()
	{
	    // The StringReader simulates what the user would enter at the console.
	    StringReader sr = new StringReader("one\ntwo\nthree\nfour\n");
	    MyApp app = new MyApp(sr);
	    List<String> results = app.run();
	    assertEquals("3",results.get(0));
	    assertEquals("3",results.get(1));
	    assertEquals("5",results.get(2));
	    assertEquals("4",results.get(3));
	}
}

